## 修改记录

[+]新增 [-]删除 [^]升级 [#]修复 【】重要

### 2.2.7 (2015-07-22)

- [^] 修复 map 中 heatmap 配置项不生效的 bug

### 2.2.6 (2015-07-15)

- 【+】新增热力图。示例查看 热力图
- 【+】新增Option 查找工具。
- 【+】新增表格数据转换工具。
- [^] 事件河流图布局优化
- [^] 修复 2.2.5 中 tooltip 联动 bug
- [?] 依赖升级，ZRender 2.1.1+

### 2.2.5 (2015-06-30)

- [^] 修复树图点击事件。Fix #1655
- [^] 修复词云点击事件。Fix #1709
- [^] 树图方向支持从右往左和从下往上。详见 #1608
- [^] 地图输出数据精度默认跟输入数据精度相同。 Fix #1670, #1713
- [^] 修复地图 selected 状态维持的 bug。详见 #1720
- [^] 修复 tooltip 的 dom 也会触发图形的事件的 bug。Fix #1686
- [^] 修复 treemap 中 childBorderWidth 无法配置成 0 的bug。 详见 #1674
- [^] 优化地图扩展对 legend 和 dataRange 的支持
- [^] 支持每个图表系列单独配置 z, zlevel。详见 #1648
- [^] 韦恩图优化
- [?] 依赖升级，ZRender 2.1.0+

### 2.2.4 (2015-06-17)

- [^] 修复chord label设置textStyle color失效, Fix #1649 »
- [^] 修复setOption中notMerge为true时timeline不销毁的bug。Fix #1601 »
- [^] 矩形树图加入 root 配置项
- [^] 修复力导向中拖拽和缩放时，箭头不会跟着拖动和缩放的bug。Fix #1604 »
- [^]修复 addData 在只有一个系列的时候的动画bug

### 2.2.3 (2015-06-01)

- 【+】 新增词云（Word Cloud），示例查看 Google Trends
- 【+】 新增树图（Tree），示例查看 冰桶挑战
- 【+】 发布 地图数据在线生成工具
- [^] Treemap 改进，加入子层级轮廓，内置数据下钻以及面包屑导航。示例查看 手机占有率
- [^] dataRange 改进。加入 splitList 自定义不等距分割。示例查看 dataRange2.html
- [^] 修复rcOption未定义bug。Fix #1554 »
- [^] 外部事件分发改为同步。Fix #1528 »
- [^] 修复地图 Timeline 点击 bug。Fix #1515 »
- [^] 修复仪表盘不能添加 markLine 的 bug。
- [^] 修复地图的 tooltip 不能自定义样式的 bug
- [?] 依赖升级，ZRender 2.0.9+

### 2.2.2 (2015-04-30)

- 【+】 新增韦恩图(venn)，示例查看 韦恩图
- 【+】 新增 Treemap，示例查看 手机占有率
- 【+】 新增对数轴，示例查看 对数轴示例
- 【+】 发布 ECharts 在线构建工具
- [^] 大规模折线图添加数据抽希策略配置。详见 #1370 »
- [^] symbolSize 支持通过数组分别设置宽高
- [^] 修复 #1308 »
- [^] 支持 z, zlevel 的配置

### 2.2.1 (2015-03-11)

- 【^】 [markLine] 曲线优化改用贝塞尔曲线绘制，smoothRadian 配置名改为 smoothness
- 【^】 [markLine] 支持使用 large 配置项启用大规模标线优化，示例查看 百度迁徙2015
- 【^】 [markLine] 支持边捆绑, bundling，示例查看 百度迁徙2015
- 【^】 dataView 个性化配置增强, 详见 #1316 »
- [^] [force] 双向边偏移防止重叠，support #1344 »
- [^] [eventRiver] eventList 配置项名统一为 data。
- [#] [funnel] 修复 min/max size bug。
- [-] [gauge] 去掉 precision 配置项。
- [^] symbol 颜色配置优化。
- [#] 修复横纵坐标轴互换时使用 dataZoom 报错。Fix #1320 »
- [^] [k] K线图支持 label 配置项
- [#] [force] 修复使用 worker 时切换 legend 报错。Fix #1319 »
- [#] [bar] 修复柱状图设置 position 为 insideTop 时鼠标移过文字消失 bug。Fix #1257 »
- [#] 修复 noDataLoadingOption 配置不生效 bug。Fix #1269 »
- [^] 极坐标(polar) 标签支持 formatter
- [^] 雷达图 smartSteps 增加最大最小参数
- [^] tooltip 增加 enterable 配置项
- [?] 依赖升级，ZRender 2.0.8+

### 2.2.0（2015-01-30）

- 【+】 ECharts-m ( ECharts Mobile ) 1.0.0 发布
- 【^】 层叠控制由多层zlevel转单层z，zleve和z主题可控，可自定义层叠控制
- 【^】 mobile设备优化，touch事件优化
- 【^】 [markLine]支持双向弧度配置，smoothRadian，查看 this »
- 【^】 统一文本（label）格式化（formatter）函数回调参数为对象，披露更多内容，格式同tooltip
- [+] 无数据自动判断，支持配置noDataText和noDataEffect自动显示，support #1040 »
- [+] [tooltip]详情dom上增加css类定义'echarts-tooltip'，可通过css附加样式
- [+] 新增过渡动画时效控制animationDurationUpdate，support #1126 »
- [+] [markPoint]支持symbol为pin特效，新增跳动效果，effect.type = 'bounce'，详见文档
- [+] [k]新增hoverable控制
- [^] [markLine]均值标线支持precision
- [^] [dataZoom]纵向dataZoom交互一致性优化，support #1124 »
- [^] [categoryAxis]间隔支持函数回调，support #1093 »
- [^] [dataRange][dataZoom][timeline]增加组件大小配置
- [^] [extension][BMap]增加百度地图初始化参数传入，修复动态addMark坐标转换问题。
- [^] [pie]图形内文本位置增加distance配置，support #1122 »
- [^] [chord][tooltip]详情显示默认从大端到小端
- [#] 修复legendHoverLink在动画过渡时显示问题，fix #896 »，#974 »
- [#] [scatter][radar][k]data级数据为对象时读取value异常，fix #1031 »
- [#] [force]修复line宽度设置
- [#] [bar]多维度堆积下类目间隔优化
- [#] [tooltip][markLine]修复多级控制无效
- [#] [valueAxis]数值间隔自动调整算法优化， fix #1012 », #1021 »
- [#] 若干issues，fix #1045（dataRange开关）» #1051（yAxis间隔线虚线样式）» #1076（dataRange指示器formatter）» #1079（dataZoom取值错误）» #1079（bar填充亚像素优化）» #1089（showTip接口异常）» #1129（堆积空值异常）» #1130（IE11下多图表异常）» #1141（tooltip亚像素优化）» #1142（tooltip位置缓存错误）» #1146（多行Legend定位计算错误）» #1150（dataZoom回调star和end参数不该取整）» #1176（gauge可点击修复）» #1218（标签布局算法对labelLine依赖错误）»
- [?] 依赖升级，ZRender 2.0.7+

### 2.1.9（2014-12-08）

- [+] [force][chord]节点加入label属性， support #963 »
- [^] [axis][legend][dataRange][roamController]显示控制优化，support #866 »
- [^] [line]折线图的动画效果优化， support #649 »
- [^] [tooltip]返回参数增加series，修复markPoint中tooltip的多级控制。
- [#] [line]多数据下不等距折线symbol显示问题， fix #886 »
- [#] [dataZoom]dataZoom定位详情的问题， fix #878 »
- [#] [force]力学导向图无法在nodes中设置节点颜色，fix #902 »
- [#] [legend]timeline中系列差异导致的选择异常，fix #970 »
- [#] [radar]空数据连线异常，fix #978 »
- [#] [bar]堆叠下使用barMaxWidth时定位异常，fix #931 »
- [#] [line]symbole图片显示异常，fix #955 »
- [#] [title][toolbox][timeline][roamController][dataRange][legend]多次setOption时padding不生效，fix #948 »
- [#] [tooltip]连续hover bug fixed，相同触发交互优化
- [#] clear后没清空hover列表问题
- [?] 依赖升级，ZRender 2.0.6+

### 2.1.8（2014-11-07）

- 【+】 英文官网正式启动，翻译 by 王欢
- 【+】 [echarts-optimizer]全新的单文件打包构建策略、工具和按需加载引入方式调整，by erik
- 【+】 [extension][BMap]新增百度地图扩展，支持百度地图作为地图源叠加echarts可视化功能， 文档， 例子1， 例子2， by 杨骥
- 【+】 [eventRiver]新增事件河流图，查看 this »，by 车丽美
- 【+】 [line][bar]不等距折线图 this »（柱状图 this »），双数值轴曲线（柱形）support #331 », #624 »
- 【+】 [chord]和弦图通过ribbonType配置项支持两种绘制形态
- 【+】 [timeAxis]新增时间类型坐标轴（beta）
- 【^】 [valueAxis]数值间隔自动调整算法优化，splitNumber默认自动调整，废除power、precision，by 谢世威。
- 【^】 [pie]优化饼图标签布局算法， fix #326 », #405 », #290 »
- 【^】 [chord][force]和弦图和力导向图数据格式统一，详见图数据表示
- 【^】 [funnel]漏斗图通过funnelAlign支持三种不同的水平布局样式
- 【^】 [toolbox]支持和弦图[chord]与力导向布局图[force]，饼图[pie]和漏斗图[funnel]间的动态类型切换
- 【^】 [dataRange]值域漫游（hoverLink）与地图（dataRangeHoverLink）双向悬浮连接高亮显示
- 【^】 [tooltip]重新设计tooltip回调参数，披露更多可用信息，[]改{}
- [+] 新增全国344个主要城市（县）地图数据（geoJson），try this »
- [+] [force]边的样式可以使用linkStyle.type配置为曲线(curve)
- [+] [force]支持鼠标平移和缩放，roam:false|true|'scale'|'move'，同地图
- [+] [force]节点可以使用label.position配置标签的位置 ，新增实例接口getPosition获得当前节点的布局位置
- [+] [force]增加布局结束后事件，ecConfig.EVENT.FORCE_LAYOUT_END
- [^] [force]节点的itemStyle中的strokeColor和lineWidth统一为borderColor和borderWidth, 边的strokeColor和lineWidth统一为color和width (兼容以前写法但是不推荐)
- [^] [toolbox]支持动态类型切换时动态修改option，feature.magicType.option
- [^] [bar]柱形图支持最大柱形宽度设置barMaxWidth
- [^] [dataZoom]拖拽交互详情显示（showDetail），support #381 »
- [^] [legend]图例到图表（legendHoverLink）的悬浮连接高亮显示
- [^] [dataRange]支持透明度（alpha通道）变化，support this »
- [^] [tooltip]气泡内可交互，鼠标进入tooltip的dom上停止触发新的定位行为 ，support #698 »
- [^] 不支持Canvas的浏览器上强制关闭所有动画和实时变化
- [#] IE8双击事件，fix this »
- [#] [markX]无legend时样式错误
- [#] [roamController]同时指定多地图（mapTypeControl）缩放控制时缩放错误，handleColor指定失效
- [#] clear无法清除背景，fix this »
- [#] 若干issues，fix #704（多地图异步回调问题）» #756（散点图透明效果）» #760（最值点的格式化）» #772（边界计算异常）» #798（饼图原地拖拽重计算问题）» #801（tooltip返回参数调整）» #839（图片显示异常）» this（折线填充过渡动画）»
- [?] 依赖升级，ZRender 2.0.5+

### 2.0.4（2014-09-23）

- 【+】 [force]力导向布局图节点支持图片，格式同symbol
- 【#】 [line]平滑曲线出现负值， fix #191 », #227 », #457 », #521 »
- 【#】 IE8图片无法显示，fix #691 »
- [^] [markX]clickable默认为true
- [^] [line][bar]横向布局的堆积图表tooltip数据默认翻转，support this »
- [^] [toolbox]自定义扩展响应回调this指向当前实例。
- [#] [toolbox]多图联动时保存图片报错，fix #659 »
- [#] [radar]虚线边框最后一段绘图错误，fix #617 »
- [#] [gauge]小数精度运算错误，fix #673 »
- [#] [pie]全0数据显示异常，fix #690 »
- [#] [radar]渐变下拖拽重计算异常
- [?] 依赖升级，ZRender 2.0.4+

### 2.0.3（2014-09-05）

- 【+】 [roamController]新增组件：缩放漫游组件（roamController），搭配地图使用，support #321 »
- 【^】 [bar]动态类型切换样式冲突，柱形样式borderWidth | Color | Radius改名为barBorderWidth | Color | Radius，见itemStyle »，fix #622 »
- [+] 全系列图表增加clickable控制配置，解决鼠标默认手型显示和地图必须开启selectedMode才能触发点击事件的问题
- [+] 新增mouseout、dblclick事件，support #448 »，#384 »
- [^] [valueAxis]两端留空策略优化，support #523 »
- [^] [bar]柱形圆角barBorderRadius支持数组，支持4个圆角半径独立定义
- [#] [tooltip]timeline下连续显示，fix this »
- [#] showLoading文字全局居中，fix #638 »
- [#] [timeline]轴线节点虚线显示不完整
- [#] 修复交互触发页面被选中的问题
- [#] [addMark*]动态添加无法delMark*问题
- [#] 若干issues，fix #540（极坐标坐标轴显示）» #543（多地图滚轮缩放错误）» #562（dataZoom散点图缩放适用）» #568（仪表盘js精度运算）» #600（非直角系多图联动下的动态类型切换报错）» #616（直角坐标计算临界点错误）» #617（雷达图虚线显示）» #644（dom宽高为0时死循环）» #650（标注标线区域缩放后无法再显示）»
- [?] 依赖升级，ZRender 2.0.3+

### 2.0.2 (2014-08-13)

- 【#】 IE8-不显示bug，fix #475 »
- [#] [gauge]精度计算，fix this »
- [#] [polar]支持隐藏和axisLabel.interval，fix #540 »
- [#] [force]文件引用错误，worker重构，fix #533 »
- [#] [map]markLine scale fix #490 »
- [?] 依赖升级，ZRender 2.0.2+

### 2.0.1 (2014-07-24)

- 【#】 移动设备事件失效
- [#] [gauge]min max非默认值时计算错误
- [#] [map]图例开关无数据时图表没更新
- [#] [map]选择切换图表类型时错误
- [#] [polar]支持圆形外观
- [#] [markLine]过渡更新错误fix #427 »
- [#] 无option时resize报错
- [#] symbole无法显示0值数据，fix #442 »
- [#] [timeline]起始index不为0时错误，fix #403 »
- [#] 原数组长度为1时addData错误，fix #394 »
- [#] loading动画bubble、dymnline刷新问题，fix #406 »
- [?] 依赖升级，ZRender 2.0.1+

### 2.0.0 (2014-06-30)

- 【+】 [timeline]新增组件：时间轴（timeline），支持与任意图表组合使用，try bar »、scatter »、pie »、map »
- 【+】 [gauge]新增图表：仪表盘（gauge），查看 this »
- 【+】 [funnel]新增图表：漏斗图（funnel），查看 this »
- 【^】[map]支持svg扩展地图类型，try 人体密码 »、足球场 »、百度大厦F3 »
- 【^】 [line][bar][scatter][k]全浏览器支持大规模数据模式
- 【^】 全系统图表动画优化、升级支持状态间的渐变过渡
- 【^】 全系统图表、组件生命周期管理优化、多次setOption间的状态保持
- 【+】 标注（markPoint）支持大规模特效，try 百度人气（模拟） »
- 【+】 动态标注标线接口，addMarkPoint、addMarkLine、delMarkPoint、delMarkLine见文档 this »
- [^] [map]支持缩放极限控制scaleLimit
- [^] [bar]标线（markLine）支持类目坐标指定-1、MAXNUMBER实现坐标系内满显示
- [^] [bar]附带文本位置itemStyle.X.label.position支持'insideLeft' | 'insideRight' | 'insideTop' | 'insideBottom'
- [^] [force]力导向布局图连线支持箭头linkSymbol
- [^] [chord]文本旋转支持
- [+] [tooltip]指示器（axisPointer）样式新增支持十字准星，原阴影指示器样式areaStyle更名为shadowStyle，详细见this »
- [^] [tooltip]支持位置修正和回调，position，support #292 »
- [^] [dataRange]自适应数据精度
- [^] [dataRange]数值区间文本支持个性化formatter，try this »
- [^] [legend]支持自定义图形样式
- [^] [legend]定位坐标x、y支持百分比。文本和图形高亮关联。垂直居中优化等
- [^] [categoryAxis][valueAxis]坐标轴axisLine支持自动0值定位，onZero
- [^] [categoryAxis][valueAxis]坐标轴文本样式axisLabel.textStyle支持align、baseline
- [^] [categoryAxis][valueAxis]坐标轴文本axisLabel.clickable，支持点击事件响应，support #287 »
- [^] [toolbox]动态类型切换交互优化，点击永远作为启用，弃用原开关状态设计
- [^] [title]主（副）标题超链接支持指定窗口打开，target、subtarget
- [+] 事件回调时this指向当前实例
- [^] 升级标注（markPoint）、标线（markLine）事件参数携带value，dataIndex
- [^] 支持自定义过渡动画，loadingEffect.effect外部实现
- [#] [scatter]修复散点图emptySymbol不知道lineWidth下无法显示的问题
- [#] [radar]雷达图事件携带数据index、文本formatter支持
- [#] [chord]和弦图图形元素点击事件响应
- [#] [toolbox]修复数据视图dataView在IE下无法全选的问题
- [#] [dataRange]修复无法整除导致颜色异常
- [#] 修复setOption时series为空无法清除内容，merge无效等问题
- [#] 修复视网屏下的特效shadow偏移问题
- [#] 若干issues，fix 折线与坐标轴间1px位移 » #294 » #303 » #364 »
- [?] 依赖升级，ZRender 2.0.0+

### 1.4.1 (2014-04-14)

- [#] [bar][line]空值数据计算特殊值错误
- [#] [dataZoom]数据阴影长度计算错误
- [#] [bar]修正计算宽度为0时改为1px
- [#] [toolbox]修复showTitle显示为false fix #269 »
- [#] dom隐藏下初始化读取style错误，padding为小数是计算错误
- [?] 依赖升级，ZRender 1.1.1+

### 1.4.0 (2014-04-02)

- 【+】 多图联动，try this »，support #248 » this »
- 【+】 标注（markPoint）、标线（markLine）炫光特效，try 百度迁徙（模拟） » 中国铁路运输主干线 »
- 【+】 [line][bar][scatter]标注（markPoint）、标线（markLine）支持特殊值自动标记（max、min、average） support #218 » #249 »
- 【+】 [toolbox]magicType新增支持堆积平铺切换（stack、tiled）
- 【^】 [toolbox]【重要】option格式欠规范，重新设计，详见 #252 »
- 【^】 [line][bar][scatter][pie][radar][map]样式itemStyle.[normal|emphasis].color支持function回调 #246 »
- [^] [valueAxis]坐标轴文本axisLabel.textStyle.color支持funtion回调
- [+] [tooltip]模拟hover接口 （showTip、hideTip） support #237 »
- [^] [dataRange]值域漫游控件样式优化
- [^] [title][legend][toolbox]hover文字高亮样式优化
- [^] [pie]数据排列方向默认逆时针改为顺时针
- [^] [legend]data个性化文字样式
- [^] [legend]支持单选（selectedMode），事件参数带当前变化target
- [^] [toolbox]工具栏支持自定义功能，try this »，support this »
- [^] [categoryAxis][valueAxis]精度优化
- [^] [categoryAxis]支持name
- [^] 同一个dom上多次init图表自动释放已有实例
- [^] 标注（markPoint）、标线（markLine）支持数据级tooltip
- [#] [pie]饼图边框样式（borderColor、borderWidth）fix #223 »
- 【#】 [bar][line][valueAxis]堆积下scale计算错误
- [#] [bar]0值堆积显示错位
- [#] [bar]堆积自定义barWidth顺序问题
- [#] 标线（markLine）symbol为none显示错误
- [?] 依赖升级，ZRender 1.1.1+

### 1.3.8 (2014-03-04)

- 【+】 theme主题支持，try ECharts Theme Designer
- [+] symbolList 折线图、散点图、雷达图默认symbol顺序可控
- [+] 全图背景色可控，backgroundColor
- [^] 拖拽重计算交互优化，避免短click变drag
- [^] 优化同一个dom上多次init图表，返回已有实例
- [^] clear后清除组件及内存释放
- [#] IE8-文本hover问题
- [^] [dataZoom]数据区域缩放控件样式优化，fix this »
- [^] [dataRange]数据精度格式
- [^] [axis]axisTick 显示位置可控，支持inside，support #220 »
- [^] [valueAxis] axisLabel.textStyle.color可接受方法，support #226 »
- [^] [map]小区域交互优化，点击文字选中，支持数据级selectable、hoverable
- [^] [map]显示样式参数规范，区域图形边框由borderWidth、borderColor控制
- [^] [pie]扇区边框可控，borderWidth、borderColor，support #223 »
- [^] [pie]360度扇区问题 ，fix #203 »
- [^] [pie]优化0值数据不受minAngle控制
- [?] 依赖升级，ZRender 1.1.0+

### 1.3.7 (2014-01-27)

- [^] [categoryAxis]boundaryGap留空样式优化，前后一个类目空间调整为半个类目空间
- [^] [toolbox]工具箱支持自定义图标，featureImageIcon
- [^] [toolbox]动态类型切换boundaryGap一致性保持，support #this »
- [^] [legend]多行横排居中优化
- [^] [pie]支持顺时针排列，support #128 »
- [^] [pie]labelLine升级为折线，优化减少出现文字覆盖的情况，fix #187 »
- [^] [valueAxis][tooltip][polar]数值自动格式化，每隔三位加“,”
- [^] [valueAxis]支持配置数值轴名称文字样式，nameTextStyle
- [^] [map]均值计算小数点精度可配，mapValuePrecision，图例标识可配，showLegendSymbol
- [^] IE8-文本清晰度优化
- [#] [toolbox]修复动态类型可能造成的冲突样式污染
- [#] 修复borderWidth设为0时被转换为1的错误
- [#] 若干issues，fix #189 » #190 » #193 » #IE8-红色背景 »
- [?] 依赖升级，ZRender 1.0.9+

### 1.3.6 (2014-01-15)

- 【^】 全图表支持标注（markPoint）、标线（markLine），try markPoine » markLine »
- 【^】 全面开放chart、component实例对象，实现更深度个性化，更多新奇玩法，try this »
- [+] [sactter][line][map]symbol代码优化，新增三类symbol：heart、droplet、pin
- [^] [categoryAxis]类目轴重复项支持，support this »
- [^] [map]非数值显示时支持关闭悬浮高亮，hoverable:false
- [^] [tooltip]支持图例开关过滤
- [^] [grid][dataRange]x，y，width，height支持百分比
- [^] 通用文本分行支持，'\n' 指定，support this »
- [^] 动画元素阀值（大规模数据时强制关闭动画效果）
- [#] [dataZoom]数据区域缩放下抛出事件dataIndex参数修正
- [#] [sactter]大规模散点图像素偏移
- [#] [force]默认颜色从legend获取
- [#] 修复script标签式引入文件构建错误，fix this »
- [+] 新增专题 中国主要城市空气质量实况
- [?] 依赖升级，ZRender 1.0.8+

### 1.3.5 (2013-12-19)

- 【+】 srcipt标签式引入，兼容非模块化或基于CMD模块化（如seajs）项目引入ECharts，详见 this »
- 【^】 [map]支持滚轮缩放和拖拽漫游，roam:true开启
- 【^】 [map]支持标准GeoJson动态扩展地图类型，try HK » USA »
- 【+】 [map]内置地图类型新增世界地图类型world， try this »
- 【^】 [map]mapType支持子区域模式，内置支持从wold、china以及中国32个省市自治区地图中扩展出176个国家地区和600多个省市区域简图， try this »
- [^] [map]中国地图加入南海诸岛区域
- [^] [map]mapLocation支持百分比
- [^] [force]tooltip完善，支持边的提示
- [^] [force]支持了CLICK等鼠标事件，小幅度的性能优化和数据过滤后动画的改进
- [^] [line][scatter]折线图、散点图支持symbol为image
- [^] mobile交互优化（拖拽，点击）
- [+] 新增专题 中国经济十年时空漫游（2002-2011） 中国人口流动大潮（1987-2011）
- [?] 依赖升级，ZRender 1.0.7+

### 1.3.1 (2013-11-22)

- 【+】 支持渲染为图片模式 renderAsImage
- 【+】 新增接口getOption/getSeries/getDataURL/getImage
- 【^】 [bar]barMinHeight默认值从20改为0
- 【^】 [pie]minAngle默认值从5改为0
- [^] [bar]柱形支持borderColor/borderWidth/borderRadius(圆角)
- [^] [bar]柱间距离可配，支持百分比，barGap/barCategoryGap
- [#] [pie][radar]center无设置时resize报错，fix this »
- [^] [pie][polar]半径支持百分比格式
- [#] [island]孤岛数据小数精度bug，fix this »
- [#] [bar]dom极小情况下递归死循环bug，fix this »
- [+] [toolbox]文字提示，support this »
- [^] [grid][axis]背景透明，直角系亚像素优化
- [#] [pie]拖拽重计算legend依赖修复
- [#] [chord][radar]文字样式修复

### 1.3.0 (2013-11-05)

- 【+】 [chord]新增和弦图，支持多维选择
- 【^】 [pie]升级支持南丁格尔玫瑰图（半径/面积）模式
- [#] [tooltip]雷达图空数据bug fix
- [#] [categoryAxis]修复类目轴大数据小数精度问题，fix this »
- [^] [tooltip][line][bar]优化高亮指示样式
- [#] [tooltip]encodeHTML修复
- [#] [k]修复阴阳线颜色错误，fix this »
- [^] symbol增加箭头arrow，support this »
- [^] [title]支持超链接跳转
- [^] [pie][polar]中心坐标支持百分比格式
- [^] [legend]多维选择和多行控制
- [?] 依赖升级，ZRender 1.0.5+

### 1.2.1 (2013-09-29)

- 【^】 [line]平滑曲线支持，icon shape交互易用性优化
- 【^】 [line][bar][scatter]文本标签支持
- [^] refresh后清除残留animation
- [^] 增加版本信息和依赖判断
- [^] [k]barWidth，barMaxWidth支持
- [^] [tooltip]内容主体显示策略配置，support this »
- [+] [ndarray]加入多维数组模块
- [#] [legend]修复散点图个性化symbol图例不对
- [#] [pie][polar][title]修复resize响应 fix this »
- [#] [categoryAxis]splitLine颜色数组中取值问题 fix this »
- [#] [valueAxis]修复全系列0值无显示问题、 fix this »
- [#] [tooltip]同步异步混搭时回调ticket匹配错误，代码优化
- [?] 依赖升级，ZRender 1.0.4+

### 1.2.0 (2013-09-13)

- 【+】 [radar] 雷达图
- 【+】 动态数据添加接口及动画支持 support this »
- 【+】 [map] 数据压缩算法（1.65M > 350K）、动态加载
- [+] [polar] 极坐标
- [^] [grid] 直角坐标系网格自适应配置优化, support this »
- [^] [dataZoom] zoomLock下手柄拖拽转移以提高用户体验
- [^] [tooltip] 全局mouseout、层级优化
- [+] [line] showAllSymbol控制显示所有拐点标识
- [^] refresh接口优化
- [#] 修复组件resize响应 fix this »
- [#] [legend] 饼图个性化颜色取值错误，fix this »
- [#] [tooltip] 数组类型数值类型打包错误，fix this »
- [?] 依赖升级，ZRender 1.0.3+

### 1.1.2（2013-08-21）

- 【+】 [map] 新增全国34个省市自治区地图支持
- [^] [tooltip] 坐标轴指示器样式可配，新增shadow样式，见tooltip.axisPointer
- [^] [tooltip] 显示延迟（showDelay）、隐藏延迟（hideDelay）、缓动时长（transitionDuration）开放可配置
- [^] [legend] 可配置默认选中状态
- [^] [pie] 饼图默认起始角改为90度（12点钟方向）
- [^] [line] symbolRotate图形标志支持旋转
- [+] 单文件构建工具
- [#] [dataRange] 修正值域控件颜色拾取
- [#] [toolbox] 保存图片显示位置居中修正

### 1.1.1 (2013-07-30)

- [+] [component] 新增Title组件，图表标题支持
- 【+】 图片导出支持（IE8-不支持）
- [^] [line] 折线图主线支持阴影（IE8-不支持），调整symbo描边与主线等宽
- [^] [valueAxis] 支持数值坐标轴上显示项目文字，边界值线条显示优化
- [^] [map] 数值计算方式支持均值和求和
- [^] Retina视网屏优化
- [^] [legend] 图例选择增加可控开关
- [#] [axis] 修正福建省hover
- [#] [tooltip] 修正气泡边界自动折行
- [#] [island] 修正拖拽折线图的empty symbo生成白色孤岛数据
- [#] [dataRange] 修正小数状态下的取整显示
- [#] [line] 折线堆积图描边修正
- 【#】 数据修改后（拖拽，数据视图）的反向同步及restore还原修复

### 1.1.1 (2013-07-30)

- 新增图表

- 散点图（气泡图）
- K线图
- 地图（地图类型支持：中国）
- 力导向布局图

- 新增组件

- dataRange

- 新增特性

- 数据区域选择（支持框选）
- 值域漫游
- 大数据模式（仅散点图支持）

- 新增事件：RESTORE，DATA_RANGE，MAP_SELECTED
- 新增接口：

- resize，显示区域大小更新
- refresh，刷新图表，图例选择、数据区域缩放，拖拽状态均保持
- restore，还原图表，各种状态均被清除，还原为最初展现时的状态。
- getZrender，获取当前图表所用ZRender实例，可用于添加额外图形或进行深度定制

- 【重要】 图表按需加载，需要使用方主动require
- toolbox.feature.refresh改为restore
- [bug fixed] tooltip 0值
- 饼图升级selected Mode，label支持formatter
- 图例升级为icon，折线图例有更形象的展现和更易点击
- 数值轴升级scale模式，可以脱离0值，聚焦到数值变化区间
- 默认动画缓动效果从'BounceOut'改为'ExponentialOut'

### 1.0.0 (2013-06-30)

- 提供商业产品常用图表库，支持折线图（区域图）、柱状图（条状图）、饼图（环形图）
- 特性

- 图表混搭
- 拖拽重计算
- 数据视图
- 动态类型切换
- 图例开关
- 数据区域选择
- 标线辅助
- 多维度堆积

- 多级控制，个性化定制
- 事件交互：
  REFRESH，CLICK，HOVER，DATA_CHANGED，MAGIC_TYPE_CHANGED，
  DATA_VIEW_CHANGED，DATA_ZOOM，LEGEND_SELECTED